function [alpha_s,alpha_l,mu_out]=inv_mf(mu,cfa,C,E)
% simplified inverse Magic Formula tyre model

B=cfa/(mu*C);

mu_out = [0:0.001:mu];

y1=asin(mu_out/mu);
y2=pi-y1;

alpha  = [0:0.001:1];
y_alpha= C*atan((1-E)*B*alpha+E*atan(B*alpha));

alpha_s = interp1(y_alpha,alpha,y1);
alpha_l = interp1(y_alpha,alpha,y2);