m=car_data2;
e=load('lc_measdata');
e.ds=e.ds-mean(e.ds(1:40));
e.ay=e.ay-mean(e.ay(1:40));
e.r=e.r-mean(e.r(1:40));

orient tall
subplot(4,1,1)
plot(e.time,-e.ds*180/pi)
ylabel('steering wheel [deg.]')
grid

subplot(4,1,2)
plot(e.time,e.vx*3.6)
ylabel('velocity [km/h]')
grid

subplot(4,1,3)
plot(e.time,-e.ay)
ylabel('lateral acc. [m/s2]')
grid

subplot(4,1,4)
plot(e.time,-e.r*180/pi)
ylabel('yaw vel. [deg/s]')
xlabel('time')
grid

print -dpdf plot_lcsim_inputs_fig240

sim('nonLinearBicycle')
s_renl =simout;

m.sigma1=0;
m.sigma2=0;
m.mu1=1000*m.mu1;
m.mu2=1000*m.mu2;

sim('nonLinearBicycle')
s_orig =simout;

figure
subplot(2,1,1)
plot(e.time,-e.ay,':',...
     s_orig(:,1),-s_orig(:,3),'--',...
     s_renl(:,1),-s_renl(:,3))
xlabel('time [s]')
ylabel('lateral acceleration a_y [m/s2]') 
legend('measurement','linear model','non-linear+relax.',2) 
grid

subplot(2,1,2)
plot(e.time,-e.r*180/pi,':',...
     s_orig(:,1),-s_orig(:,4)*180/pi,'--',...
     s_renl(:,1),-s_renl(:,4)*180/pi)
xlabel('time [s]')
ylabel('yaw velocity [deg/s]') 
grid

print -dpdf plot_lcsim_ayyaw_fig241
